=== debian/changelog ===
tdelibs-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 17 Apr 2025 03:41:36 +0200
