=== debian/rules ===
--- 
+++ 
@@ -110,10 +110,10 @@
 	echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/tdelibs14-trinity-dev.substvars
 endif
 
-binary-install/tdelibs14-trinity::
+binary-install/tdelibs14$(DEB_TIME64_SUFFIX)-trinity::
 	mv debian/tmp/opt/trinity/bin/tdecmshell debian/tmp/opt/trinity/bin/tdecmshell.real
-	install -p -D -m755 debian/tmp/opt/trinity/bin/tdecmshell.real debian/tdelibs14-trinity/opt/trinity/bin/tdecmshell.real
-	install -p -D -m755 debian/tdecmshell debian/tdelibs14-trinity/opt/trinity/bin/tdecmshell
+	install -p -D -m755 debian/tmp/opt/trinity/bin/tdecmshell.real debian/tdelibs14$(DEB_TIME64_SUFFIX)-trinity/opt/trinity/bin/tdecmshell.real
+	install -p -D -m755 debian/tdecmshell debian/tdelibs14$(DEB_TIME64_SUFFIX)-trinity/opt/trinity/bin/tdecmshell
 
 post-patches::
 	dh_testdir
@@ -126,6 +126,7 @@
 	    [ -d $$a ] || [ -f $$a.t64 ] || \
 	    (cp -a $$a debian/tdelibs14$(DEB_TIME64_SUFFIX)-trinity.$${a##*.} && mv $$a $$a.t64); \
 	done
+	sed -i -e "s/^tdelibs14-trinity /tdelibs14$(DEB_TIME64_SUFFIX)-trinity /" debian/tdelibs14t64-trinity.lintian
 	[ -f debian/control.t64 ] || \
 	sed -i.t64 \
 	    -e "s/^\\(Package: tdelibs14\\)-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
@@ -148,6 +149,13 @@
 	ls -d debian/* | \
 	grep -E "/tdelibs14$(DEB_TIME64_SUFFIX)-trinity\." | \
 	xargs -r rm
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^\\(Package: tdelibs14\\)-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(tdelibs\\)4c2a-trinity\\( \|$$\)/\\1:\\2\\34c2a-trinity, \\314-trinity\\4/" \
+	    -e "s/\\(tdelibs14\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    debian/control
+else
 	[ ! -f debian/control.t64 ] || \
 	mv debian/control.t64 debian/control
 endif
