## tdelibs-trinity 14.1.5~pre14

=== debian/changelog ===
tdelibs-trinity (4:14.1.5~pre14-0ubuntu25.10.0+5) questing; urgency=low

  * Automated git build for 4e086ed99d612ebaaaa759680e49ab9218bb8c9d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
